<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeOwnerFeeDetailsChangeIdDataType extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table("owner_fee_details",function (Blueprint $table){
            $table->unique(["outer_id","outer_table_name"]);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table("owner_fee_details",function (Blueprint $table){
            $table->dropUnique(["outer_id","outer_table_name"]);
        });
    }
}
